#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-KFtPMitcmcYEDJ7yZLgQRX
key:                  tree-diff-0.3.0.1-KFtPMitcmcYEDJ7yZLgQRX
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  ce0a22ea1aa114e0fdd7d489be809ae1
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-KFtPMitcmcYEDJ7yZLgQRX
depends:
    QuickCheck-2.14.3-DAn0LMacIHzJut6JKwFNdl
    aeson-2.1.2.1-ACNZHhH4U2e67aZXZDgTOb
    ansi-terminal-0.11.4-30w7KBHfEQ9CygddjSQvBk
    ansi-wl-pprint-0.6.9-3bScAiBbugl4HhJOdwJ4J8 base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 data-array-byte-0.1.0.1-64thbxOxuUn8YOnHabBaBg
    deepseq-1.4.5.0 hashable-1.4.3.0-ESEjVh9IF6l3kXlrvIyche
    parsec-3.1.14.0 parsers-0.12.11-7MresWmHLzLLlDwMGaaB0F
    pretty-1.1.3.6 primitive-0.7.4.0-8SmDsFCxSqgE7BzeiM7pZ4
    scientific-0.3.7.0-7992hTQSngN1mZw90JzZGW
    semialign-1.2.0.1-7vUqujnnC6bD58PboceR3p
    strict-0.4.0.1-ImflVLfJvRIFLublHtf4A3
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH text-1.2.5.0
    these-1.1.1.1-1xaR1UXk3J69e9k7g4Zw0k time-1.9.3
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    uuid-types-1.0.5.1-Ks0AMBm1kZ9G67sts06I3x
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

